%global srcname commons-lang3

Name:           apache-commons-lang3
Version:        3.11
Release:        %mkrel 1
Group:          Development/Java
Summary:        Provides a host of helper utilities for the java.lang API
License:        ASL 2.0

URL:            https://commons.apache.org/lang
Source0:        https://archive.apache.org/dist/commons/lang/source/%{srcname}-%{version}-src.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(biz.aQute.bnd:biz.aQute.bndlib)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)

%description
The standard Java libraries fail to provide enough methods for
manipulation of its core classes. The Commons Lang Component provides
these extra methods.
The Commons Lang Component provides a host of helper utilities for the
java.lang API, notably String manipulation methods, basic numerical
methods, object reflection, creation and serialization, and System
properties. Additionally it contains an inheritable enum type, an
exception structure that supports multiple types of nested-Exceptions
and a series of utilities dedicated to help with building methods, such
as hashCode, toString and equals.

With version of commons-lang 3.x, developers decided to change API and
therefore created differently named artifact and jar files. This is
the new version, while apache-commons-lang is the compatibility
package.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%autosetup -n %{srcname}-%{version}-src

# remove unnecessary maven plugins
%pom_remove_plugin :maven-javadoc-plugin

%mvn_file : %{name} commons-lang3


%build
# test dependencies are not all packaged for fedora:
# - org.easymock:easymock 4.2
# - org.junit-pioneer:junit-pioneer
# - org.openjdk.jmh:jmh-core
# - org.openjdk.jmh:jmh-generator-annprocess
%mvn_build -f


%install
%mvn_install


%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt



%changelog
* Fri Aug 21 2020 neoclust <neoclust> 3.11-1.mga8
+ Revision: 1617251
- New version

* Sat Feb 15 2020 umeabot <umeabot> 3.8.1-2.mga8
+ Revision: 1527509
- Mageia 8 Mass Rebuild

* Wed Jul 17 2019 daviddavid <daviddavid> 3.8.1-1.mga8
+ Revision: 1422181
- Update to upstream version 3.8.1
- Resolves: rhbz#1619243
- Fix incorrect OSGi metadata
- Resolves: rhbz#1636556

* Sat Dec 15 2018 neoclust <neoclust> 3.7-1.mga7
+ Revision: 1341394
- Revert to version 3.7

* Sun Nov 18 2018 guillomovitch <guillomovitch> 3.8.1-1.mga7
+ Revision: 1331283
- new version 3.8.1

* Thu Sep 20 2018 umeabot <umeabot> 3.4-7.mga7
+ Revision: 1277588
- Mageia 7 Mass Rebuild

* Thu Jun 15 2017 neoclust <neoclust> 3.4-6.mga6
+ Revision: 1107786
- Really disable tests

* Sun May 14 2017 neoclust <neoclust> 3.4-5.mga6
+ Revision: 1101233
- Fix parsing of ISO dates with UTC TZ

* Wed Mar 02 2016 neoclust <neoclust> 3.4-4.mga6
+ Revision: 982617
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 3.4-3.mga6
+ Revision: 975495
- First rebuild of the java stack
- sync package apache-commons-lang3 with fedora

* Sun Dec 20 2015 zezinho <zezinho> 3.4-1.mga6
+ Revision: 912433
- new version

* Thu Dec 25 2014 pterjan <pterjan> 3.3.2-2.mga5
+ Revision: 805730
- Clean rebuild
- Sync with Fedora 21 (and update to 3.3.2)
+ dmorgan <dmorgan>
- Restore from Obsolete
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 3.1-6.mga5
+ Revision: 749059
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-5.mga5
+ Revision: 677814
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.1-4.mga4
+ Revision: 545645
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 3.1-3.mga4
+ Revision: 501516
- Disable tests
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 345766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 3.1-1.mga3
+ Revision: 293297
- New version

* Wed Nov 23 2011 gil <gil> 3.0.1-1.mga2
+ Revision: 171513
- imported package apache-commons-lang3

